Bug 1476539 - Boomaga window doesn't display document
Boomaga window doesn't display document
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boomaga (Show other bugs)
26
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: mgansser@alice.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 20:59 EDT by Russell Tayler
Modified: 2017-08-12 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: boomaga-0.9.1-2.git5ae3c05.fc25 boomaga-0.9.1-2.git5ae3c05.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-11 19:54:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Tayler 2017-07-29 20:59:18 EDT
Description of problem:
Boomaga window doesn't display document with latest version of poppler, works as expected when poppler is downgraded.

There is a discussion of the problem at https://github.com/Boomaga/boomaga/issues, issues #52 and #53

Version-Release number of selected component (if applicable):
boomaga-0.9.1-1.git5ae3c05.fc26.x86_64.rpm

How reproducible:
Every time, on both F25 and F26

Steps to Reproduce:
1.Install boomaga and poppler, latest versions. Problem exists.
2.Downgrade poppler to previos version, boomaga works.
3.Upgrade poppler, problem returns

Actual results:
Boomaga window doesn't display document, or print

Expected results:
Boomaga displays document and prints

Additional info:
Comment 1 mgansser@alice.de 2017-08-03 05:50:18 EDT
which poppler version have you installed on fc26 ?
on my machine it's 0.52

[root@f26 tmp]# ll /usr/lib64/libpoppler*
lrwxrwxrwx. 1 root root      23 12. Jul 16:20 /usr/lib64/libpoppler-cpp.so -> libpoppler-cpp.so.0.3.0
lrwxrwxrwx. 1 root root      23 12. Jul 16:20 /usr/lib64/libpoppler-cpp.so.0 -> libpoppler-cpp.so.0.3.0
-rwxr-xr-x. 1 root root   81024 12. Jul 16:20 /usr/lib64/libpoppler-cpp.so.0.3.0
lrwxrwxrwx. 1 root root      24 12. Jul 16:20 /usr/lib64/libpoppler-glib.so.8 -> libpoppler-glib.so.8.8.0
-rwxr-xr-x. 1 root root  381816 12. Jul 16:20 /usr/lib64/libpoppler-glib.so.8.8.0
lrwxrwxrwx. 1 root root      20 12. Jul 16:20 /usr/lib64/libpoppler.so -> libpoppler.so.66.0.0
lrwxrwxrwx. 1 root root      20 12. Jul 16:20 /usr/lib64/libpoppler.so.66 -> libpoppler.so.66.0.0
-rwxr-xr-x. 1 root root 2779600 12. Jul 16:20 /usr/lib64/libpoppler.so.66.0.0


[root@f26 tmp]# rpm -qf /usr/lib64/libpoppler.so.66.0.0
poppler-0.52.0-4.fc26.x86_64
Comment 2 Fedora Update System 2017-08-03 07:03:27 EDT
boomaga-0.9.1-2.git5ae3c05.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4aa847a395
Comment 3 Fedora Update System 2017-08-03 07:03:36 EDT
boomaga-0.9.1-2.git5ae3c05.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9477b7a15f
Comment 4 Russell Tayler 2017-08-03 09:08:26 EDT
(In reply to mgansser@alice.de from comment #1)
> which poppler version have you installed on fc26 ?
> on my machine it's 0.52

Currently, as in boomaga works;

[root@127 rustl]# ll /usr/lib64/libpoppler*
lrwxrwxrwx 1 root root      23 May 31 00:02 /usr/lib64/libpoppler-cpp.so.0 -> libpoppler-cpp.so.0.3.0
-rwxr-xr-x 1 root root   81024 May 31 00:03 /usr/lib64/libpoppler-cpp.so.0.3.0
lrwxrwxrwx 1 root root      24 May 31 00:02 /usr/lib64/libpoppler-glib.so.8 -> libpoppler-glib.so.8.8.0
-rwxr-xr-x 1 root root  381816 May 31 00:03 /usr/lib64/libpoppler-glib.so.8.8.0
lrwxrwxrwx 1 root root      24 May 31 00:02 /usr/lib64/libpoppler-qt4.so.4 -> libpoppler-qt4.so.4.11.0
-rwxr-xr-x 1 root root  531936 May 31 00:03 /usr/lib64/libpoppler-qt4.so.4.11.0
lrwxrwxrwx 1 root root      23 May 31 00:02 /usr/lib64/libpoppler-qt5.so.1 -> libpoppler-qt5.so.1.9.0
-rwxr-xr-x 1 root root  540504 May 31 00:03 /usr/lib64/libpoppler-qt5.so.1.9.0
lrwxrwxrwx 1 root root      20 May 31 00:02 /usr/lib64/libpoppler.so.66 -> libpoppler.so.66.0.0
-rwxr-xr-x 1 root root 2775472 May 31 00:03 /usr/lib64/libpoppler.so.66.0.0
[root@127 rustl]# rpm -qf /usr/lib64/libpoppler.so.66.0.0
poppler-0.52.0-2.fc26.x86_64
Comment 5 mgansser@alice.de 2017-08-03 09:22:37 EDT
with the both versions it should work again.

boomaga-0.9.1-2.git5ae3c05.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4aa847a395

boomaga-0.9.1-2.git5ae3c05.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9477b7a15f
Comment 6 Fedora Update System 2017-08-03 17:51:48 EDT
boomaga-0.9.1-2.git5ae3c05.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4aa847a395
Comment 7 Russell Tayler 2017-08-03 18:52:38 EDT
Installed update (boomaga-0.9.1-2.git5ae3c05.fc26), all working as expected now,

thank you
Comment 8 Fedora Update System 2017-08-03 20:24:47 EDT
boomaga-0.9.1-2.git5ae3c05.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9477b7a15f
Comment 9 Fedora Update System 2017-08-11 19:54:16 EDT
boomaga-0.9.1-2.git5ae3c05.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-08-12 14:25:28 EDT
boomaga-0.9.1-2.git5ae3c05.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.